<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.yidian.shenghuoquan.bxbirdbusiness">

    <!-- ping++权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>-->
    <!--    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>-->
    <!-- 银联需要的权限 -->
    <!--    <uses-permission android:name="android.permission.NFC"/>-->

    <application>
        <!-- Ping++ sdk -->
        <activity
            android:name="com.pingplusplus.android.PaymentActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:launchMode="singleTop"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <!-- 微信支付 sdk ，也是 Ping++ sdk 调用入口 -->
        <activity-alias
            android:name="${applicationId}.wxapi.WXPayEntryActivity"
            android:exported="true"
            android:targetActivity="com.pingplusplus.android.PaymentActivity" />

        <activity
            android:name="com.yidian.shenghuoquan.bxbirdbusiness.ui.CommonWebViewActivity"
            android:theme="@style/AppTheme"
            android:windowSoftInputMode="adjustPan" />
    </application>

</manifest>